<div class="container">
  <div class="loading-shade" *ngIf="isCourseNotesLoading$ | async">
    <mat-spinner *ngIf="isCourseNotesLoading$ | async"></mat-spinner>
  </div>
  <div class="table-container">
    <table mat-table [dataSource]="courseNotes$ | async" class="table">
      <ng-container matColumnDef="by">
        <th mat-header-cell *matHeaderCellDef>By</th>
        <td mat-cell *matCellDef="let row">{{ row.by }}</td>
      </ng-container>
      <ng-container matColumnDef="title">
        <th mat-header-cell *matHeaderCellDef>Title</th>
        <td mat-cell *matCellDef="let row">{{ row.title }}</td>
      </ng-container>
      <ng-container matColumnDef="description">
        <th mat-header-cell *matHeaderCellDef>Description</th>
        <td mat-cell *matCellDef="let row">{{ row.description }}</td>
      </ng-container>
      <ng-container matColumnDef="message">
        <th mat-header-cell *matHeaderCellDef>Message</th>
        <td mat-cell *matCellDef="let row">{{ row.message }}</td>
      </ng-container>
      <ng-container matColumnDef="createdOn">
        <th mat-header-cell *matHeaderCellDef>On</th>
        <td mat-cell *matCellDef="let row">{{ row.createdOn | date }}</td>
      </ng-container>

      <tr mat-header-row *matHeaderRowDef="displayedColumns; sticky: true"></tr>
      <tr mat-row *matRowDef="let row; columns: displayedColumns"></tr>
    </table>
  </div>
  <mat-paginator
    [length]="courseNotesLength$ | async"
    [pageSize]="30"
  ></mat-paginator>
</div>
